## qtwebengine-opensource-src 5.12.5+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.12.5+dfsg-6) unstable; urgency=medium

  * Remove one i386 symbol that is not present in build with system libvpx.
  * Make libgl-dev build-dependency versioned, the virtual package provided
    by older mesa is no longer enough and causes build failure on mipsel.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 21 Dec 2019 18:52:30 +0300

qtwebengine-opensource-src (5.12.5+dfsg-5) unstable; urgency=medium

  * Build-depend on libx11-xcb-dev and libxdamage-dev, to fix build with
    the latest mesa and libglvnd.
  * Build with system libvpx again.
  * Stop build-depending on transitional packages from mesa.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Dec 2019 22:23:56 +0300

qtwebengine-opensource-src (5.12.5+dfsg-4) unstable; urgency=medium

  [ Alexander Volkov ]
  * Do not build the documentation packages when nodoc profile is enabled.

  [ Dmitry Shachnev ]
  * Backport upstream patches to fix CVE-2019-13720 and CVE-2019-5870.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Use ui/webui/resources/js/jstemplate_compiled.js provided by upstream
    instead of the empty file (closes: #882805).
  * Backport upstream patch to fix build with ICU 65.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Dec 2019 12:42:13 +0300

qtwebengine-opensource-src (5.12.5+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 18:12:06 +0300

qtwebengine-opensource-src (5.12.5+dfsg-2) experimental; urgency=medium

  * Add a patch to fix mipsel build with Linux ≥ 5.0.
  * Update libqt5webenginecore5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Oct 2019 14:31:27 +0300

qtwebengine-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Backport upstream patch to fix build with Pulseaudio 13.
  * Update symbols files from the current build log.
  * Bump ABI version to qtwebengine-abi-5-12-5.
  * Override Lintian warnings about symbols dependencies on -abi- packages.
  * Do not hardcode minor version number in the Lintian overrides file.
  * Bump Standards-Version to 4.4.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 24 Sep 2019 18:44:14 +0300
