## qtwebengine-opensource-src 5.12.8+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.12.8+dfsg-0ubuntu1.1) focal; urgency=medium

  * Backport upstream patch to fix live editing (LP: #1884550).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 23 Jun 2020 21:10:05 +0300

qtwebengine-opensource-src (5.12.8+dfsg-0ubuntu1) focal; urgency=medium

  * New upstream bugfix release.
  * Drop patches:
    - CVE-2019-5870.patch (applied upstream)
    - CVE-2019-13720.patch (applied upstream)
    - icu-65.patch (applied upstream)
    - pulseaudio-13.patch (applied upstream)
    - restore-jstemplate.patch (no longer needed)
  * Do not treat ninja 1.10 as too old.
  * Bump Qt build-dependencies to 5.12.8.
  * Bump ABI version to qtwebengine-abi-5-12-8.
  * Update debian/libqt5webenginecore5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 10 Apr 2020 11:15:12 +0300

qtwebengine-opensource-src (5.12.5+dfsg-7build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:41:31 +0100

qtwebengine-opensource-src (5.12.5+dfsg-7) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Limit Ubuntu arm64 builds to -j2.
  * Update debian/libqt5webenginecore5.symbols (closes: #951905).

  [ Gianfranco Costamagna ]
  * Depend on python2 instead of python, also tweak the patch to change the
    calls to python binary.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Feb 2020 18:10:27 +0300
