=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qtwebengine-opensource-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -43,8 +44,8 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.12.5+dfsg~),
-               libqt5webchannel5-dev (>= 5.12.5~),
+               libqt5opengl5-dev (>= 5.12.8+dfsg~),
+               libqt5webchannel5-dev (>= 5.12.8~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -67,21 +68,21 @@
                pkg-config,
                pkg-kde-tools,
                protobuf-compiler,
-               python,
-               qtbase5-dev (>= 5.12.5+dfsg~),
-               qtbase5-private-dev (>= 5.12.5+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.5~),
-               qtpositioning5-dev (>= 5.12.5+dfsg~),
-               qtquickcontrols2-5-dev (>= 5.12.5+dfsg~),
-               qttools5-dev (>= 5.12.5~),
+               python2,
+               qtbase5-dev (>= 5.12.8+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.12.8~),
+               qtpositioning5-dev (>= 5.12.8+dfsg~),
+               qtquickcontrols2-5-dev (>= 5.12.8+dfsg~),
+               qttools5-dev (>= 5.12.8~),
                re2c,
                ruby,
                xauth,
                xvfb,
                yasm [amd64 i386],
                yui-compressor
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.5~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
@@ -136,7 +137,7 @@
 Package: libqt5webenginecore5
 Architecture: amd64 arm64 armhf i386 mipsel
 Multi-Arch: same
-Provides: qtwebengine-abi-5-12-5
+Provides: qtwebengine-abi-5-12-8
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
