=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,12 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
+ifeq ($(DEB_HOST_ARCH),arm64)
+	export NINJAFLAGS += -j2
+endif
+endif
 
 gstab_architectures :=
 fulldebug_architectures :=
@@ -165,6 +171,3 @@
 	dh_auto_install
 
 	# Remove rpath from the offending binaries
-	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebEngineProcess
-
-	# Fix wrong path in pkgconfig files
