## qtwebengine-opensource-src 5.12.8+dfsg-0ubuntu1.1+10.0trisquel3

=== debian/changelog ===
qtwebengine-opensource-src (5.12.8+dfsg-0ubuntu1.1+10.0trisquel3) nabia; urgency=medium

  * Removed non-free and prebuilt binaries. Fixes #28287

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 03 Dec 2021 18:37:26 +0000
