=== debian/control ===
--- 
+++ 
@@ -57,7 +57,6 @@
                libxcursor-dev,
                libxdamage-dev,
                libxml2-dev,
-               libxnvctrl-dev,
                libxrandr-dev,
                libxrender-dev,
                libxslt1-dev,
