## qtwebengine-opensource-src 5.14.2+dfsg1

=== debian/changelog ===
qtwebengine-opensource-src (5.14.2+dfsg1-5) unstable; urgency=medium

  * Add a patch to fix seccomp-bpf failure in clock_gettime64 and
    clock_nanosleep_time64 syscalls on 32-bit platforms (closes: #967011).
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Sep 2020 16:25:33 +0300

qtwebengine-opensource-src (5.14.2+dfsg1-4) unstable; urgency=medium

  * Add a patch to fix build errors with GCC 10 (closes: #957734).
  * Add a patch to fix header file name with Bison 3.7.
  * Update debian/libqt5webenginecore5.symbols for GCC 10.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Jul 2020 22:15:39 +0300

qtwebengine-opensource-src (5.14.2+dfsg1-3) unstable; urgency=medium

  * Add a patch to build openh264 with -DX86_32_PICASM on i386, to fix errors
    from new linker (closes: #965328).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 20 Jul 2020 18:08:34 +0300

qtwebengine-opensource-src (5.14.2+dfsg1-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Add a patch to fix V8 build with ICU 67.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2020 18:49:13 -0300

qtwebengine-opensource-src (5.14.2+dfsg1-1) unstable; urgency=medium

  * Re-add polymer/v1_0 to the tarball, to unbreak PDF viewer.
  * Build with system ICU again.
  * Remove some disappeared symbols.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 13:17:22 +0300

qtwebengine-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Drop system-ninja.patch, similar fix was applied upstream.
  * Update debian/libqt5webenginecore5.symbols from the current build log.
  * Bump ABI version to qtwebengine-abi-5-14-2.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 05 May 2020 20:41:23 +0300

qtwebengine-opensource-src (5.14.1+dfsg-3) experimental; urgency=medium

  * Disable v8 embedded builtins on mipsel, to fix OOM error.
  * Add -latomic to dependencies of base component on mipsel.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Mar 2020 11:08:47 +0300

qtwebengine-opensource-src (5.14.1+dfsg-2) experimental; urgency=medium

  * Include asm/ptrace.h instead of asm/ptrace-abi.h on mipsel.
  * Disable dav1d support on mipsel.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 Mar 2020 23:24:35 +0300

qtwebengine-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Remove/update some obsolete paths from Files-Excluded.
    - Also update touch_files in debian/rules in a similar way.
  * Drop patches:
    - CVE-2019-5870.patch (applied upstream)
    - CVE-2019-13720.patch (applied upstream)
    - icu-65.patch (applied upstream)
    - pulseaudio-13.patch (applied upstream)
    - restore-jstemplate.patch (no longer needed)
  * Also drop no-icudtl-dat.patch. Starting with commit 395e61ff2e51dc7c
    Qt WebEngine uses the common resources location for icudtl.dat file.
    That location should exist, and the warnings should be no longer printed,
    so no need to silence them.
  * Rebase and refresh other patches.
  * Bump Qt build-dependencies to 5.14.1.
  * Do not treat ninja 1.10 as too old.
  * Temporarily build with bundled ICU. Upstream now requires ICU 64, but
    libqt5core5a is built against ICU 63.
    - Install icudtl.dat in libqt5webenginecore5.
  * Pass QMAKE_PYTHON2=python2 to qmake.
  * Update symbols files from the current build log.
  * Bump ABI version to qtwebengine-abi-5-14-1.
  * Exclude more non-free files.
    - Exclude the whole devtools-node-modules directory, it does not seem to
      be used.
  * Update Lintian overrides files.
  * Remove no longer existing paths from debian/copyright.
  * Remove debian/missing-sources/marked-v0.3.6.tar.gz. Upstream now contains
    non-minified version (see QTBUG-69273).
  * Fix license-file-listed-in-debian-copyright Lintian warnings.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Mar 2020 11:02:55 +0300
