=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qtwebengine-opensource-src
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -33,7 +32,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libharfbuzz-dev,
-               libicu-dev (>= 59~),
+               libicu-dev (>= 64~),
                libjpeg-dev,
                libjsoncpp-dev,
                liblcms2-dev,
@@ -44,8 +43,8 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.12.8+dfsg~),
-               libqt5webchannel5-dev (>= 5.12.8~),
+               libqt5opengl5-dev (>= 5.14.2+dfsg~),
+               libqt5webchannel5-dev (>= 5.14.2~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -57,6 +56,7 @@
                libxcursor-dev,
                libxdamage-dev,
                libxml2-dev,
+               libxnvctrl-dev,
                libxrandr-dev,
                libxrender-dev,
                libxslt1-dev,
@@ -68,21 +68,21 @@
                pkg-kde-tools,
                protobuf-compiler,
                python2,
-               qtbase5-dev (>= 5.12.8+dfsg~),
-               qtbase5-private-dev (>= 5.12.8+dfsg~),
-               qtdeclarative5-private-dev (>= 5.12.8~),
-               qtpositioning5-dev (>= 5.12.8+dfsg~),
-               qtquickcontrols2-5-dev (>= 5.12.8+dfsg~),
-               qttools5-dev (>= 5.12.8~),
+               qtbase5-dev (>= 5.14.2+dfsg~),
+               qtbase5-private-dev (>= 5.14.2+dfsg~),
+               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
+               qtpositioning5-dev (>= 5.14.2+dfsg~),
+               qtquickcontrols2-5-dev (>= 5.14.2+dfsg~),
+               qttools5-dev (>= 5.14.2~),
                re2c,
                ruby,
                xauth,
                xvfb,
                yasm [amd64 i386],
                yui-compressor
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.8~) <!nodoc>
-Standards-Version: 4.4.1
+Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
 Homepage: https://doc.qt.io/qt-5/qtwebengine-index.html
@@ -136,7 +136,7 @@
 Package: libqt5webenginecore5
 Architecture: amd64 arm64 armhf i386 mipsel
 Multi-Arch: same
-Provides: qtwebengine-abi-5-12-8
+Provides: qtwebengine-abi-5-14-2
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
