=== debian/rules ===
--- 
+++ 
@@ -45,18 +45,15 @@
               -system-webp \
               -system-webengine-icu
 
-touch_files = src/3rdparty/chromium/third_party/analytics/google-analytics-bundle.js \
-	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/audits2_worker/lighthouse/lighthouse-background.js \
+touch_files = src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/audits_worker/lighthouse/lighthouse-dt-bundle.js \
+	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/audits/lighthouse/report-generator.js \
 	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/diff/diff_match_patch.js \
 	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/formatter_worker/acorn/acorn.js \
-	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/gonzales/gonzales-scss.js \
 	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/network/NetworkConfigView.js \
-	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/settings/EditFileSystemView.js \
 	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/terminal/xterm.js/build/xterm.css \
 	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/terminal/xterm.js/build/xterm.js \
-	      src/3rdparty/chromium/third_party/web-animations-js/sources/web-animations.min.js \
-	      src/3rdparty/chromium/third_party/web-animations-js/sources/web-animations-next-lite.min.js \
-	      src/3rdparty/chromium/third_party/web-animations-js/sources/web-animations-next.min.js
+	      src/3rdparty/chromium/third_party/polymer/v3_0/components-chromium/polymer/polymer_bundled.min.js \
+	      src/3rdparty/chromium/third_party/web-animations-js/sources/web-animations-next-lite.min.js
 
 %:
 	dh $@ --with pkgkde_symbolshelper
@@ -73,8 +70,6 @@
 	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/jstemplate_compiled.js
 	rm -f $(CURDIR)/src/3rdparty/chromium/third_party/mocha/mocha.js
 	rm -f $(CURDIR)/examples/webenginewidgets/contentmanipulation/jquery*.js
-	rm -f $(CURDIR)/examples/webenginewidgets/markdowneditor/resources/3rdparty/marked*.js
-	rm -f $(CURDIR)/examples/webengine/recipebrowser/resources/pages/assets/3rdparty/marked*.js
 
 	for fname in $(touch_files); do \
 		rm -f $(CURDIR)/$${fname}; \
@@ -82,7 +77,7 @@
 
 override_dh_auto_configure:
 	# Run qmake once to create .qmake.conf and be sure to append the following values.
-	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)"
+	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON2=python2
 
 # Enable gstabs debugging symbols only on gstab_architectures.
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gstab_architectures)))
@@ -135,7 +130,7 @@
 	echo "QMAKE_LFLAGS += -Wl,-z,now" >> .qmake.conf
 
 	# Run qmake again now with the proper values.
-	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)"
+	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON2=python2
 
 	# Create js files, that are needed for building step for arch and indep builds
 	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
@@ -148,11 +143,7 @@
 
 	>examples/webenginewidgets/contentmanipulation/jquery.js cat debian/missing-sources/jquery-*.js
 	yui-compressor --type js "examples/webenginewidgets/contentmanipulation/jquery.js" -o "examples/webenginewidgets/contentmanipulation/jquery.min.js"
-	>examples/webenginewidgets/markdowneditor/resources/3rdparty/marked.js tar xaf debian/missing-sources/marked*.tar.gz --wildcards --to-stdout '*/marked.js'
-	>examples/webengine/recipebrowser/resources/pages/assets/3rdparty/marked.js tar xaf debian/missing-sources/marked*.tar.gz --wildcards --to-stdout '*/marked.js'
 	>src/3rdparty/chromium/third_party/mocha/mocha.js tar xaf debian/missing-sources/mocha*.tar.gz --wildcards --to-stdout '*/mocha.js'
-	yui-compressor --type js "examples/webenginewidgets/markdowneditor/resources/3rdparty/marked.js" -o "examples/webenginewidgets/markdowneditor/resources/3rdparty/marked.min.js"
-	yui-compressor --type js "examples/webengine/recipebrowser/resources/pages/assets/3rdparty/marked.js" -o "examples/webengine/recipebrowser/resources/pages/assets/3rdparty/marked.min.js"
 
 
 	set -ex; for fname in $(touch_files); do \
@@ -171,3 +162,27 @@
 	dh_auto_install
 
 	# Remove rpath from the offending binaries
+	chrpath -d $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/libexec/QtWebEngineProcess
+
+	# Fix wrong path in pkgconfig files
+	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig -type f -name '*.pc' \
+	-exec sed -i -e 's/$(DEB_HOST_MULTIARCH)\/$(DEB_HOST_MULTIARCH)/$(DEB_HOST_MULTIARCH)/g' {} \;
+
+	# Remove libtool-like files
+	rm -fv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
+
+override_dh_auto_install-indep: override_dh_auto_install-arch
+	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs
+
+override_dh_install-arch:
+	dh_install --fail-missing
+
+override_dh_link:
+	dh_link --package=qtwebengine5-examples \
+		usr/share/javascript/jquery/jquery.min.js usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webenginewidgets/contentmanipulation/jquery.min.js \
+		usr/share/javascript/marked/marked.min.js usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/webenginewidgets/markdowneditor/resources/marked.js
+	dh_link --package=qtwebengine5-dev-tools \
+		usr/lib/qt5/bin/qwebengine_convert_dict usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qwebengine_convert_dict
+
+	dh_link --remaining-packages
+
