## qtwebengine-opensource-src 5.15.1.2%2Bdde

=== debian/changelog ===
qtwebengine-opensource-src (5.15.1.2+dde-1+eagle) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.

  [ Debian Qt/KDE Maintainers ]
  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 23 Feb 2021 17:20:01 +0800

qtwebengine-opensource-src (5.15.1+dfsg-4) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream fix for nullptr dereference in RTCPeerConnectionHandler
    (see QTBUG-86752).
  * Update symbols files from buildds’ logs.

  [ Alexander Volkov ]
  * Add a patch to compile pdf examples.
  * Also add a build dependency on libqt5svg5-dev that they require.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Oct 2020 20:04:40 +0300

qtwebengine-opensource-src (5.15.1+dfsg-3) experimental; urgency=medium

  * Add a patch to reduce code range size on mipsel from 2048 to 1024 MB.
    - Remove old mipsel-no-v8-embedded-builtins.patch, no longer needed.
  * Update symbols files from buildds’ and the current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Sep 2020 14:51:31 +0300

qtwebengine-opensource-src (5.15.1+dfsg-2) experimental; urgency=medium

  * Build with system opus/ffmpeg again.
    - Bump opus required version to 1.3.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Sep 2020 20:53:33 +0300

qtwebengine-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Drop patches, included in the new release:
    - icu-67.patch
    - openh264-picasm.patch
    - gcc-10.patch
  * Also drop bison-3.7.patch, fixed differently upstream.
  * Rebase other patches.
  * Comment out mipsel-no-v8-embedded-builtins.patch. V8 no longer supports
    build without embedded builtins, so we need to find another way to fix
    the OOM error.
  * Update to debhelper compat level 13.
    - Build-depend on debhelper-compat (= 13), remove debian/compat file.
    - Remove override_dh_install-arch target, no longer needed.
    - Adapt to debhelper exporting its own $HOME for tests.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update Files-Excluded and touch_files for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-1.
  * Add new packages for the Qt PDF libraries, QML module, examples,
    documentation and development files.
  * Update symbols files from the current build log.
  * Temporarily build without system opus/ffmpeg until opus is updated to
    version 1.3.1 (see #934809).
  * Update debian/source/lintian-overrides for path changes.
  * Add a script to update debian/copyright file based on upstream
    qt_attribution.json and README.chromium files.
  * Update debian/copyright manually and using the new script.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 22 Sep 2020 21:16:21 +0300
