=== debian/rules ===
--- 
+++ 
@@ -39,11 +39,8 @@
 no_gold_architectures := arm64 armhf mipsel
 
 config_args = -proprietary-codecs \
-              -feature-webengine-system-libvpx \
-              -system-ffmpeg \
-              -system-opus \
               -system-webp \
-              -system-webengine-icu
+              -qt-webengine-icu
 
 touch_files = src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/audits_worker/lighthouse/lighthouse-dt-bundle.js \
 	      src/3rdparty/chromium/third_party/blink/renderer/devtools/front_end/audits/lighthouse/report-generator.js \
@@ -186,3 +183,5 @@
 
 	dh_link --remaining-packages
 
+override_dh_auto_test-arch:
+	$(MAKE) install -Csrc/core INSTALL_ROOT=$(CURDIR)/test_root
