## qtwebengine-opensource-src 5.15.1.2+dde

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
            Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: binutils (>= 2.32-8~),
+Build-Depends: binutils,
                bison,
                chrpath,
                closure-compiler,
-               debhelper (>= 11),
+               debhelper (>= 12),
                flex,
                gperf,
                khronos-api,
@@ -24,7 +24,7 @@
                libevent-dev,
                libflac-dev,
                libfontconfig1-dev,
-               libgl-dev (>= 1.3) [!armel !armhf],
+               libgl-dev [!armel !armhf],
                libgl1-mesa-dri,
                libgles-dev [armel armhf],
                libglib2.0-dev,
@@ -32,7 +32,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libharfbuzz-dev,
-               libicu-dev (>= 64~),
+               libicu-dev,
                libjpeg-dev,
                libjsoncpp-dev,
                liblcms2-dev,
@@ -43,13 +43,14 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.14.2+dfsg~),
-               libqt5webchannel5-dev (>= 5.14.2~),
+               libqt5opengl5-dev (>= 5.15.1~),
+               libqt5webchannel5-dev (>= 5.15.1~),
+               libqt5svg5-dev (>= 5.15.1~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
                libusb-1.0-0-dev,
-               libvpx-dev (>= 1.8),
+               libvpx-dev,
                libwebp-dev,
                libx11-xcb-dev,
                libxcomposite-dev,
@@ -68,27 +69,27 @@
                pkg-kde-tools,
                protobuf-compiler,
                python2,
-               qtbase5-dev (>= 5.14.2+dfsg~),
-               qtbase5-private-dev (>= 5.14.2+dfsg~),
-               qtdeclarative5-private-dev (>= 5.14.2+dfsg~),
-               qtpositioning5-dev (>= 5.14.2+dfsg~),
-               qtquickcontrols2-5-dev (>= 5.14.2+dfsg~),
-               qttools5-dev (>= 5.14.2~),
+               qtbase5-dev (>= 5.15.1~),
+               qtbase5-private-dev (>= 5.15.1~),
+               qtdeclarative5-private-dev (>= 5.15.1~),
+               qtpositioning5-dev (>= 5.15.1~),
+               qtquickcontrols2-5-dev (>= 5.15.1~),
+               qttools5-dev (>= 5.15.1~),
                re2c,
                ruby,
                xauth,
                xvfb,
                yasm [amd64 i386],
                yui-compressor
-Build-Depends-Indep: qtbase5-doc-html (>= 5.14.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.14.2~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.15.1~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.15.1~) <!nodoc>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
 Homepage: https://doc.qt.io/qt-5/qtwebengine-index.html
 
 Package: qtwebengine5-dev
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel mips64el
 Multi-Arch: same
 Section: libdevel
 Depends: libqt5webchannel5-dev,
@@ -109,7 +110,7 @@
  using QtWebEngine library.
 
 Package: qtwebengine5-private-dev
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel mips64el
 Multi-Arch: same
 Section: libdevel
 Depends: qtwebengine5-dev (= ${binary:Version}), ${misc:Depends}
@@ -121,7 +122,7 @@
  Qt 5 applications using QtWebEngine library.
 
 Package: libqt5webengine5
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel mips64el
 Multi-Arch: same
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
@@ -134,9 +135,9 @@
  This package contains the QtWebEngine library.
 
 Package: libqt5webenginecore5
-Architecture: amd64 arm64 armhf i386 mipsel
-Multi-Arch: same
-Provides: qtwebengine-abi-5-14-2
+Architecture: amd64 arm64 armhf i386 mipsel mips64el
+Multi-Arch: same
+Provides: qtwebengine-abi-5-15-1
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -150,7 +151,7 @@
  This package contains the core QtWebEngine library.
 
 Package: libqt5webenginewidgets5
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel mips64el
 Multi-Arch: same
 Depends: libqt5webengine-data (= ${source:Version}),
          ${misc:Depends},
@@ -174,7 +175,7 @@
  This package contains the arch independent parts of QtWebEngine libraries.
 
 Package: qml-module-qtwebengine
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel mips64el
 Multi-Arch: same
 Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -185,7 +186,7 @@
  This package contains the WebEngine QML module for QtDeclarative.
 
 Package: qtwebengine5-dev-tools
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel mips64el
 Multi-Arch: foreign
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
@@ -198,7 +199,7 @@
  in Qt WebEngine.
 
 Package: qtwebengine5-examples
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 armhf i386 mipsel mips64el
 Multi-Arch: same
 Depends: libjs-jquery,
          libjs-marked,
